/* longitudinal t-test: longt.do
   determines number of subjects per group
   power = .8 for a 2-tailed .05 test 
   
   in the 'args' statement below:
   n = number of repeated observations per subject
   icc = intraclass correlation
   effsize = effect size 
*/
args n icc effsize 
drop _all
set obs 1
gen za = invnormal(.975)
gen zb = invnormal(.80)
gen  num = (2*(za + zb)^2)*(1 + (`n'-1)*`icc')
gen den = `n'*(`effsize'^2)
gen npergrp = num/den
noisily display "number of subjects per group is " %8.2f npergrp
exit
